GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::FileDerivation Class Reference

FileDerivation class See PS 3.16 - 2008 For the list of Code Value that can be used for in Derivation Code Sequence. More...

`#include <gdcmFileDerivation.h>`

## Public Member Functions

| FileDerivation ()
| ~FileDerivation ()
bool | AddReference (const char *referencedsopclassuid, const char *referencedsopinstanceuid)
bool | Derive ()
| Change.
File & | GetFile ()
const File & | GetFile () const
void | SetDerivationCodeSequenceCodeValue (unsigned int codevalue)
| Specify the Derivation Code Sequence Code Value. Eg 113040.
void | SetDerivationDescription (const char *dd)
| Specify the Derivation Description. Eg "lossy conversion".
void | SetFile (const File &f)
| Set/Get File.
void | SetPurposeOfReferenceCodeSequenceCodeValue (unsigned int codevalue)
| Specify the Purpose Of Reference Code Value. Eg. 121320.

## Protected Member Functions

bool | AddDerivationDescription ()
bool | AddPurposeOfReferenceCodeSequence (DataSet &ds)
bool | AddSourceImageSequence ()

## Detailed Description

FileDerivation class See PS 3.16 - 2008 For the list of Code Value that can be used for in Derivation Code Sequence.

URL: http://medical.nema.org/medical/dicom/2008/08_16pu.pdf

DICOM Part 16 has two Context Groups CID 7202 and CID 7203 which contain a set of codes defining reason for a source image reference (ie. reason code for referenced image sequence) and a coded description of the deriation applied to the new image data from the original. Both these context groups are extensible.

File Derivation is compulsary when creating a lossy derived image.

Examples:
  GenFakeImage.cxx.

## Constructor & Destructor Documentation

gdcm::FileDerivation::FileDerivation | ( |  | ) |

gdcm::FileDerivation::~FileDerivation | ( |  | ) |

## Member Function Documentation

bool gdcm::FileDerivation::AddDerivationDescription | ( |  | ) |

protected

bool gdcm::FileDerivation::AddPurposeOfReferenceCodeSequence | ( | DataSet & | ds | ) |

protected

bool gdcm::FileDerivation::AddReference | ( | const char * | referencedsopclassuid,
|  | const char * | referencedsopinstanceuid
| ) |  |

Create the proper reference. Need to pass the original SOP Class UID and the original SOP Instance UID, so that those value can be used as Reference.

Warning
  referencedsopclassuid and referencedsopinstanceuid needs to be \0 padded. This is not compatible with how ByteValue->GetPointer works.

Examples:
  GenFakeImage.cxx.

bool gdcm::FileDerivation::AddSourceImageSequence | ( |  | ) |

protected

bool gdcm::FileDerivation::Derive | ( |  | ) |

Change.

Examples:
  GenFakeImage.cxx.

File& gdcm::FileDerivation::GetFile | ( |  | ) |

inline

Examples:
  GenFakeImage.cxx.

const File& gdcm::FileDerivation::GetFile | ( |  | ) | const

inline

void gdcm::FileDerivation::SetDerivationCodeSequenceCodeValue | ( | unsigned int | codevalue | ) |

Specify the Derivation Code Sequence Code Value. Eg 113040.

Examples:
  GenFakeImage.cxx.

void gdcm::FileDerivation::SetDerivationDescription | ( | const char * | dd | ) |

Specify the Derivation Description. Eg "lossy conversion".

void gdcm::FileDerivation::SetFile | ( | const File & | f | ) |

inline

Set/Get File.

Examples:
  GenFakeImage.cxx.

void gdcm::FileDerivation::SetPurposeOfReferenceCodeSequenceCodeValue | ( | unsigned int | codevalue | ) |

Specify the Purpose Of Reference Code Value. Eg. 121320.

Examples:
  GenFakeImage.cxx.

The documentation for this class was generated from the following file:

- gdcmFileDerivation.h